Subject: bug#14291: libtool 2.4.2 fails to build due to macro_revision reversion

From: Bob Friesenhahn <[email-masked]>
Date: Sat, 27 Apr 2013 14:52:59 -0500 (CDT)

On Sat, 27 Apr 2013, Bob Friesenhahn wrote:

> I have narrowed the problem down to a difference in output from 
> libltdl/config/mkstamp.  Not all awks produce the same output, and the 'gawk' 
> provided as a package with OpenSolaris (as well as hand-built 3.1.8) core 
> dumps.

I have now learned more about this problem.  The problem occurs with 
LANG=en_US.UTF-8 but not with LANG=C.  It seems that with 
LANG=en_US.UTF-8 various behaviors occur ranging from producing a 
different computed value, or gawk core dump.  With LANG=C results are 
consistent on Solaris/OpenSolaris and no core dump.

Presumably the character set used by an unmarked file (ChangeLog) is 
left up to the 'awk' utility to guess.  Legacy awk programs may 
process the file as extended ANSI while modern awk programs will 
assume either plain ASCII or UTF-8.

Bob
-- 
Bob Friesenhahn
[email-masked], http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/